#include "zonefile_cod7_pc.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD7_PC::ZoneFile_COD7_PC()
{

}

ZoneFile_COD7_PC::~ZoneFile_COD7_PC()
{

}

bool ZoneFile_COD7_PC::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD7_PC::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000000") {
        return Utils::ASSET_XMODELPIECES;
    } else if (cleanedType == "01000000") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "02000000") {
        return Utils::ASSET_PHYSCONSTRAINTS;
    } else if (cleanedType == "03000000") {
        return Utils::ASSET_DESTRUCTIBLEDEF;
    } else if (cleanedType == "04000000") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "05000000") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "06000000") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "07000000") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "08000000") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "09000000") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "0A000000") {
        return Utils::ASSET_SOUND_PATCH;
    } else if (cleanedType == "0B000000") {
        return Utils::ASSET_CLIPMAP;
    } else if (cleanedType == "0C000000") {
        return Utils::ASSET_CLIPMAP_PVS;
    } else if (cleanedType == "0D000000") {
        return Utils::ASSET_COMWORLD;
    } else if (cleanedType == "0E000000") {
        return Utils::ASSET_GAMEWORLD_SP;
    } else if (cleanedType == "0F000000") {
        return Utils::ASSET_GAMEWORLD_MP;
    } else if (cleanedType == "10000000") {
        return Utils::ASSET_MAP_ENTS;
    } else if (cleanedType == "11000000") {
        return Utils::ASSET_GFXWORLD;
    } else if (cleanedType == "12000000") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "13000000") {
        return Utils::ASSET_UI_MAP;
    } else if (cleanedType == "14000000") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "15000000") {
        return Utils::ASSET_MENULIST;
    } else if (cleanedType == "16000000") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "17000000") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "18000000") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "19000000") {
        return Utils::ASSET_WEAPONDEF;
    } else if (cleanedType == "1A000000") {
        return Utils::ASSET_WEAPON_VARIANT;
    } else if (cleanedType == "1B000000") {
        return Utils::ASSET_SNDDRIVER_GLOBALS;
    } else if (cleanedType == "1C000000") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "1D000000") {
        return Utils::ASSET_IMPACT_FX;
    } else if (cleanedType == "1E000000") {
        return Utils::ASSET_AITYPE;
    } else if (cleanedType == "1F000000") {
        return Utils::ASSET_MPTYPE;
    } else if (cleanedType == "20000000") {
        return Utils::ASSET_MPBODY;
    } else if (cleanedType == "21000000") {
        return Utils::ASSET_MPHEAD;
    } else if (cleanedType == "22000000") {
        return Utils::ASSET_CHARACTER;
    } else if (cleanedType == "23000000") {
        return Utils::ASSET_XMODELALIAS;
    } else if (cleanedType == "24000000") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "25000000") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "26000000") {
        return Utils::ASSET_PACK_INDEX;
    } else if (cleanedType == "27000000") {
        return Utils::ASSET_XGLOBALS;
    } else if (cleanedType == "28000000") {
        return Utils::ASSET_DDL;
    } else if (cleanedType == "29000000") {
        return Utils::ASSET_GLASSES;
    } else if (cleanedType == "2A000000") {
        return Utils::ASSET_EMBLEMSET;
    } else if (cleanedType == "2B000000") {
        return Utils::ASSET_COUNT;
    } else if (cleanedType == "2B000000") {
        return Utils::ASSET_STRING;
    } else if (cleanedType == "2C000000") {
        return Utils::ASSET_ASSETLIST;
    }
    return Utils::ASSET_NONE;
}
